%define modname	IPC-ShareLite
Name:           perl-%{modname}
Version:        0.13
Release:        1.1
Summary:        Light-Weight Interface to Shared Memory
Requires:       perl = %{perl_version}
BuildRequires:  perl
License:        GPL/Artistic
Group:          Development/Libraries/Perl
Source:         %{modname}-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-root

%description
IPC::ShareLite provides a simple interface to shared memory, allowing data to
be efficiently communicated between processes.

Authors:
--------
    Maurice Aubrey <maurice@hevanet.com>

%prep
%setup -q -n %{modname}-%{version}

%build
perl Makefile.PL OPTIMIZE="$RPM_OPT_FLAGS -Wall"
make
make test

%install
make DESTDIR=$RPM_BUILD_ROOT install_vendor
%perl_process_packlist

%clean
rm -rf %{buildroot}

%files
%defattr(-, root, root)
%doc Changes README
%doc %{_mandir}/man?/*
%{perl_vendorarch}/IPC
%{perl_vendorarch}/auto/IPC
/var/adm/perl-modules/%{name}

%changelog

* Thu Nov 01 2007 - James Oakley <jfunk@funktronics.ca> - 0.09-1
- Initial release
